%global modname pycxx

Name:           python-cxx
Version:        7.1.8
Release:        %mkrel 2
Summary:        Write Python extensions in C++
Group:          Development/Python
License:        BSD
URL:            https://cxx.sourceforge.net/
BuildArch:      noarch

Source0:        https://downloads.sourceforge.net/cxx/%{modname}-%{version}.tar.gz
# Patch0:  remove unnecessary 'Src/' directory from include path in sources
Patch0:         python-pycxx-7.1.3-change-include-paths.patch

BuildRequires:  pkgconfig(python3)


%description
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

%package -n python3-cxx-devel
Summary:        PyCXX header and source files
Group:          Development/Python
Requires:       python3
Conflicts:      python-cxx-devel < 6.2.6-10
Conflicts:      python3-cxx-devel < 6.2.6-10
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-cxx-devel
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

The python3-cxx-devel package provides the header and source files
for Python 3.  There is no non-devel package needed.

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%py3_build

%install
%global py_install_args --prefix=%{_prefix} --install-headers=%{_includedir}/CXX --install-data=%{_usrsrc}

%py3_install -- %{py_install_args}

# Write pkg-config PyCXX.pc file
%__mkdir_p %{buildroot}%{_datadir}/pkgconfig
cat > %{buildroot}%{_datadir}/pkgconfig/PyCXX.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
includedir=%{_includedir}
srcdir=%{_usrsrc}/CXX

Name: PyCXX
Description: Write Python extensions in C++
Version: %{version}
Cflags: -I\${includedir}
EOF

%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion PyCXX)" = "%{version}"

%files -n python3-cxx-devel
%doc README.html COPYRIGHT Doc/Python3/
%dir %{_includedir}/CXX
%{_includedir}/CXX/*.hxx
%{_includedir}/CXX/*.h
%{_includedir}/CXX/Python3
%{python3_sitelib}/CXX*
%dir %{_usrsrc}/CXX
%{_usrsrc}/CXX/*.cxx
%{_usrsrc}/CXX/*.c
%{_usrsrc}/CXX/Python3
%{_datadir}/pkgconfig/PyCXX.pc


%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 7.1.8-2.mga10
+ Revision: 2153578
- rebuild for python 3.13

* Thu Dec 28 2023 daviddavid <daviddavid> 7.1.8-1.mga10
+ Revision: 2022803
- new version: 7.1.8

* Thu Dec 28 2023 daviddavid <daviddavid> 7.1.7-3.mga10
+ Revision: 2022802
- rebuild for py3.12

* Mon Mar 21 2022 umeabot <umeabot> 7.1.7-2.mga9
+ Revision: 1816166
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 7.1.7-1.mga9
+ Revision: 1775703
- version 7.1.7
- rebuild for python-3.10

* Mon Dec 06 2021 kekepower <kekepower> 7.1.5-1.mga9
+ Revision: 1760881
- Update to version 7.1.5

* Sat Mar 20 2021 daviddavid <daviddavid> 7.1.4-2.mga9
+ Revision: 1705804
- rebuild for python 3.9

* Wed Jun 10 2020 daviddavid <daviddavid> 7.1.4-1.mga8
+ Revision: 1592067
- new version: 7.1.4

* Sat Jun 06 2020 daviddavid <daviddavid> 7.1.3-1.mga8
+ Revision: 1590728
- new version: 7.1.3
- fix python_provides

* Sun Feb 16 2020 umeabot <umeabot> 7.1.0-6.mga8
+ Revision: 1531440
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 7.1.0-5.mga8
+ Revision: 1440319
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 7.1.0-4.mga7
+ Revision: 1350367
- rebuild for python3 3.7

* Tue Nov 20 2018 kekepower <kekepower> 7.1.0-3.mga7
+ Revision: 1332053
- Fix conflicts for the python3 package

* Mon Nov 19 2018 kekepower <kekepower> 7.1.0-2.mga7
+ Revision: 1331928
- Fix conflicts with older version
- Update to version 7.1.0
- Rename python-cxx-devel to python2-cxx-devel
- Use python_provide

* Thu Sep 20 2018 umeabot <umeabot> 6.2.6-9.mga7
+ Revision: 1288561
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 6.2.6-8.mga7
+ Revision: 1135357
- Rebuild for python 3.6

* Sun Apr 24 2016 joequant <joequant> 6.2.6-7.mga6
+ Revision: 1005790
- fix group
- fix typo
- fix requires
- fix requires
- fix typo
- add python3

* Sat Feb 20 2016 umeabot <umeabot> 6.2.6-4.mga6
+ Revision: 971531
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 philippem <philippem> 6.2.6-3.mga6
+ Revision: 892038
- fix macros

* Tue Jan 13 2015 shlomif <shlomif> 6.2.6-2.mga5
+ Revision: 810317
- Remove trailing space
- Importing python-cxx (thanks to Richard Houser)


* Sat Jan 10 2015 Richard Houser <rick@divinesymphony.net - 6.4.6-2
- Initial Mageia version
- Based on preliminary packaging work provided by Pete Wallace
